> For the complete documentation index, see [llms.txt](https://knowledge.out-smart.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://knowledge.out-smart.com/openapi/values.md).

# Values

## Get values

> This api is used to get values from OutSmart.

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/values/":{"get":{"summary":"Get values","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}},{"name":"val_entity","in":"query","schema":{"type":"string"}},{"name":"val_primary","in":"query","schema":{"type":"integer"}},{"name":"val_column","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Get values","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"X-Frame-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"Referrer-Policy":{"schema":{"type":"string"}},"Feature-Policy":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Access-Control-Allow-Origin":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"object","properties":{"val_id":{"type":"string","format":"utc-millisec"},"val_cus_id":{"type":"string","format":"utc-millisec"},"val_entity":{"type":"string"},"val_primary":{"type":"string","format":"utc-millisec"},"val_primary_numeric":{"type":"string","format":"utc-millisec"}}}}}}}}},"tags":["Values"],"description":"This api is used to get values from OutSmart."}}}}
```

## Add values

> This api is used to sync values with OutSmart.\
> \
> The following paramters can be posted as key value form-data\
> \
> \| Parameter | Required | Description |\
> \| --- | --- | --- |\
> \| val\_entity | Y | One off: WORKORDER,OBJECT\_PART,CLIENT,PROJECT,OBJECT,INVOICE,QUOTATION,CONTACTPERSON,ADDRESS,MATERIAL,HOUR,WORKORDER\_MATERIAL,WORKORDER\_HOUR |\
> \| val\_column | Y | The column that is used as a reference |\
> \| val\_primary | Y | Unique identifier for entity based on colum |\
> \| val\_value\_1 - val\_value\_50 | Y | Freefield that should be updated |

```json
{"openapi":"3.1.0","info":{"title":"OpenApi","version":"1.0.0"},"servers":[{"url":"{{api_url}}"},{"url":"https://www.werkbonapp.nl"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}},"paths":{"/values/":{"post":{"summary":"Add values","parameters":[{"name":"token","in":"query","schema":{"type":"string"}},{"name":"software_token","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Error","headers":{"Date":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"X-Frame-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"Referrer-Policy":{"schema":{"type":"string"}},"Feature-Policy":{"schema":{"type":"string"}},"X-Powered-By":{"schema":{"type":"string"}},"Access-Control-Allow-Origin":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Keep-Alive":{"schema":{"type":"string"}},"Connection":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"messages":{"type":"array"},"response":{"type":"string"}}}}}}},"tags":["Values"],"description":"This api is used to sync values with OutSmart.\n\nThe following paramters can be posted as key value form-data\n\n| Parameter | Required | Description |\n| --- | --- | --- |\n| val_entity | Y | One off: WORKORDER,OBJECT_PART,CLIENT,PROJECT,OBJECT,INVOICE,QUOTATION,CONTACTPERSON,ADDRESS,MATERIAL,HOUR,WORKORDER_MATERIAL,WORKORDER_HOUR |\n| val_column | Y | The column that is used as a reference |\n| val_primary | Y | Unique identifier for entity based on colum |\n| val_value_1 - val_value_50 | Y | Freefield that should be updated |"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://knowledge.out-smart.com/openapi/values.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
